<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.motion.widget.MotionLayout
        android:id="@+id/motionLayout"
        android:layout_width="130dp"
        android:layout_height="28dp"
        android:background="@drawable/bg_shape_ui_container_2_radius_999"
        android:padding="2dp"
        app:layoutDescription="@xml/view_segmented_icon_filter_scene">

        <View
            android:id="@+id/indicator"
            android:layout_width="50dp"
            android:layout_height="0dp"
            android:background="@drawable/background_shape_white_radius_999" />

        <ImageView
            android:id="@+id/icon1Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            app:srcCompat="@drawable/ic_segmented_icon_filter_dot" />

        <TextView
            android:id="@+id/filter1Tv"
            android:layout_width="wrap_content"
            android:layout_height="28dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="近期"
            android:textSize="@dimen/secondary_size" />

        <ImageView
            android:id="@+id/icon2Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            app:srcCompat="@drawable/ic_segmented_icon_filter_dot" />

        <TextView
            android:id="@+id/filter2Tv"
            android:layout_width="wrap_content"
            android:layout_height="28dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="今天"
            android:textSize="@dimen/secondary_size" />

        <ImageView
            android:id="@+id/icon3Iv"
            android:layout_width="12dp"
            android:layout_height="12dp"
            app:srcCompat="@drawable/ic_segmented_icon_filter_dot" />

        <TextView
            android:id="@+id/filter3Tv"
            android:layout_width="wrap_content"
            android:layout_height="28dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="未来"
            android:textSize="@dimen/secondary_size" />
    </androidx.constraintlayout.motion.widget.MotionLayout>
</FrameLayout>